apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-world-secrets-files
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hello-world-secrets-files
  template:
    metadata:
      labels:
        app: hello-world-secrets-files
    spec:
      volumes:
        - name: mysecretsvolume
          secret:
            secretName: mysecret
      containers:
      - name: hello-world
        image: psk8s.azurecr.io/hello-app:1.0
        ports:
        - containerPort: 8080
        volumeMounts:
          - name: mysecretsvolume
            mountPath: "/etc/appconfig"
            
            
            
            
